## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate gmp-mpfr-sys

Name:           rust-gmp-mpfr-sys
Version:        1.4.12
Release:        %autorelease
Summary:        Rust FFI bindings for GMP, MPFR and MPC

License:        LGPL-3.0+
URL:            https://crates.io/crates/gmp-mpfr-sys
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          gmp-mpfr-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * exclude upstream GMP / MPC / MPFR documentation files
# * exclude upstream CI files
# * exclude unused patches for bundled sources
Patch:          gmp-mpfr-sys-fix-metadata.diff
# * unconditionally build against system libraries:
#   The approach to patch build.rs works in all cases, even if dependent crates
#   specify "default-features = false" for this crate.
Patch:          0001-unconditionally-build-against-system-libraries.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust FFI bindings for GMP, MPFR and MPC.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       gmp-devel
Requires:       libmpc-devel
Requires:       mpfr-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-GPL.md
%license %{crate_instdir}/LICENSE-LGPL.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASES.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c-no-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c-no-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "c-no-tests" feature of the "%{crate}" crate.

%files       -n %{name}+c-no-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cnodelete-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cnodelete-devel %{_description}

This package contains library source intended for building other packages which
use the "cnodelete" feature of the "%{crate}" crate.

%files       -n %{name}+cnodelete-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fail-on-warnings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fail-on-warnings-devel %{_description}

This package contains library source intended for building other packages which
use the "fail-on-warnings" feature of the "%{crate}" crate.

%files       -n %{name}+fail-on-warnings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+force-cross-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force-cross-devel %{_description}

This package contains library source intended for building other packages which
use the "force-cross" feature of the "%{crate}" crate.

%files       -n %{name}+force-cross-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mpc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mpc-devel %{_description}

This package contains library source intended for building other packages which
use the "mpc" feature of the "%{crate}" crate.

%files       -n %{name}+mpc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mpfr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mpfr-devel %{_description}

This package contains library source intended for building other packages which
use the "mpfr" feature of the "%{crate}" crate.

%files       -n %{name}+mpfr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-system-libs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-system-libs-devel %{_description}

This package contains library source intended for building other packages which
use the "use-system-libs" feature of the "%{crate}" crate.

%files       -n %{name}+use-system-libs-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# remove bundled libraries
rm -r gmp* mpc* mpfr*

%generate_buildrequires
%cargo_generate_buildrequires
echo 'gmp-devel'
echo 'libmpc-devel'
echo 'mpfr-devel'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that check the minimum version of linked libraries:
#   these tests fail if the bundled versions are newer than the system libraries
%cargo_test -- -- --skip check_version
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 Fabio Valentini <decathorpe@gmail.com> - 1.4.12-1
- Update to version 1.4.12; Fixes RHBZ#2143795

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 1.4.10-1
- Update to version 1.4.10; Fixes RHBZ#2116071

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> - 1.4.9-1
- Update to version 1.4.9; Fixes RHBZ#2109294

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 10 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 1.4.8-1
- Initial import; Fixes: RHBZ#1979780
## END: Generated by rpmautospec
